Description

¢ term details go in column comments, with Redmine formatting translated to HTML
¢ each synonym becomes a parameter to a function with the same name as the term, which COALESCEs the synonyms together

Modify phpPgAdmin to render HTML in column comments

don't strip HTML tags
wrap comment in a pre tag (but with normal font) instead of using a plain text->HTML translator
replace [[term]] with a permalink to the term

display schema comment on schema's main page (tables list)
see vegbiendev .

¢ permalinks can be made by linking to a shortened URL (e.g. from bit.ly), which points to a Javascript page that redirects to the
appropriate phpPgAdmin page depending on the URL fragment (the fragment because URL shorteners don't pass along other
parts of the URL)
o to ensure that permalinks are always valid, the Javascript page should translate synonyms using the VegCore thesaurus
(and fix capitalization using the VegCore vocabulary)

History

#1 - 02/14/2013 04:14 AM - Aaron Marcuse-Kubitza

- Description updated

#2 - 02/14/2013 04:27 AM - Aaron Marcuse-Kubitza

- Description updated

#3 - 02/14/2013 04:43 AM - Aaron Marcuse-Kubitza

- Description updated

#4 - 02/14/2013 04:24 PM - Aaron Marcuse-Kubitza

- Description updated

#5 - 03/05/2013 03:27 PM - Aaron Marcuse-Kubitza

- Description updated

#6 - 03/05/2013 03:32 PM - Aaron Marcuse-Kubitza

- Description updated

#7 - 03/16/2013 02:33 PM - Aaron Marcuse-Kubitza
- Description updated

- % Done changed from 0 to 30
http://vegbiendev.nceas.ucsb.edu/
https://projects.nceas.ucsb.edu/nceas/projects/bien/repository/raw/mappings/VegCore.thesaurus.csv
https://projects.nceas.ucsb.edu/nceas/projects/bien/repository/raw/mappings/VegCore.vocab.csv

#8 - 10/03/2013 01:00 PM - Aaron Marcuse-Kubitza
- % Done changed from 30 to 50

see VegCore ERD
http://vegbiendev.nceas.ucsb.edu/VegCore/ERD/
http://www.tcpdf.org

